/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class DetallePedidosPK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "territorio")
    private String territorio;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 8)
    @Column(name = "numero_pedido")
    private String numeroPedido;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "oferta_detalle_pedido")
    private String ofertaDetallePedido;

    public DetallePedidosPK() {
    }

    public DetallePedidosPK(String territorio, String numeroPedido, String productoCodigo, String ofertaDetallePedido) {
        this.territorio = territorio;
        this.numeroPedido = numeroPedido;
        this.productoCodigo = productoCodigo;
        this.ofertaDetallePedido = ofertaDetallePedido;
    }

    public String getTerritorioe() {
        return territorio;
    }

    public void setTerritorioe(String territorioe) {
        this.territorio = territorioe;
    }

    public String getNumeroPedido() {
        return numeroPedido;
    }

    public void setNumeroPedido(String numeroPedido) {
        this.numeroPedido = numeroPedido;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getOfertaDetallePedido() {
        return ofertaDetallePedido;
    }

    public void setOfertaDetallePedido(String ofertaDetallePedido) {
        this.ofertaDetallePedido = ofertaDetallePedido;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (territorio != null ? territorio.hashCode() : 0);
        hash += (numeroPedido != null ? numeroPedido.hashCode() : 0);
        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
        hash += (ofertaDetallePedido != null ? ofertaDetallePedido.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DetallePedidosPK)) {
            return false;
        }
        DetallePedidosPK other = (DetallePedidosPK) object;
        if ((this.territorio == null && other.territorio != null) || (this.territorio != null && !this.territorio.equals(other.territorio))) {
            return false;
        }
        if ((this.numeroPedido == null && other.numeroPedido != null) || (this.numeroPedido != null && !this.numeroPedido.equals(other.numeroPedido))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        if ((this.ofertaDetallePedido == null && other.ofertaDetallePedido != null) || (this.ofertaDetallePedido != null && !this.ofertaDetallePedido.equals(other.ofertaDetallePedido))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.DetallePedidosPK[ territorioe=" + territorio + ", numeroPedido=" + numeroPedido + ", productoCodigo=" + productoCodigo + ", ofertaDetallePedido=" + ofertaDetallePedido + " ]";
    }

}
